#!/bin/bash

. /lib/dracut-lib.sh

DEBUG_LOG_FILE=/var/log/debug-mode.log

/sbin/fluent-bit -e /etc/libfluentbit_wendelin.so -c /etc/debug-mode.conf &
debug_flb_pid=$!
sleep 1 # wait for fluent-bit to monitor the log file (?)

echo "NEWROOT = $NEWROOT" &>>			$DEBUG_LOG_FILE
echo "********** /usr/sbin **********" &>>	$DEBUG_LOG_FILE
ls -Rl /usr/sbin &>>				$DEBUG_LOG_FILE
echo "********** /bin **********" &>>		$DEBUG_LOG_FILE
ls -Rl /usr/bin &>>				$DEBUG_LOG_FILE
echo "********** /usr/etc **********" &>>	$DEBUG_LOG_FILE
ls -Rl /etc &>>					$DEBUG_LOG_FILE
echo "********** /usr/lib **********" &>>	$DEBUG_LOG_FILE
ls -Rl /usr/lib &>>				$DEBUG_LOG_FILE
echo "fluentbit_end" &>>			$DEBUG_LOG_FILE

wait $debug_flb_pid

/sbin/metadata-collect-agent $NEWROOT /sbin/fluent-bit /etc/libfluentbit_wendelin.so /etc/flb.conf /var/log/metadata_collect.log
