#!/bin/bash

check() {
    require_binaries grep head ip ls sleep || return 1
    return 255
}

depends() {
    echo network
}

install() {
    inst_multiple head ip grep ls sleep
    inst "$moddir"/metadata-collect-agent "/sbin/metadata-collect-agent"
    inst "$moddir"/fluent-bit "/sbin/fluent-bit"
    inst "$moddir"/libfluentbit_wendelin.so "/etc/libfluentbit_wendelin.so"
    inst "$moddir"/flb.conf "/etc/flb.conf"
    inst "$moddir"/debug-mode.conf "/etc/debug-mode.conf"
    inst_hook pre-pivot 10 "$moddir"/collect.sh
}
