
set -e

# basic and dirty detection of the working directory
# it assumes the script is called either from initramfs-with-mca/installation (where fluent-bit_1-1_amd64.deb is located)
# or initramfs-with-mca/ in which case it changes to installation/ so that the package is available
if [ ! -e fluent-bit_1-1_amd64.deb ]; then
	cd installation/
fi

# useful tools
apt -y install sudo git wget tree
git config --global user.email "francois.gagnard@nexedi.com"
git config --global user.name "Francois Gagnard"

# building initramfs
apt -y install dracut-core dracut dracut-network
wget https://download.opensuse.org/repositories/home:/fg.nxd/Debian_11/amd64/dep--mca-static_1-1_amd64.deb
apt -y install ./dep--mca-static_1-1_amd64.deb
apt -y install ./fluent-bit_1-1_amd64.deb
